Runtime

## org.eclipse.gmf.runtime.emf.clipboard.core
Class CopyObjects

    java.lang.Object
      org.eclipse.gmf.runtime.emf.clipboard.core.CopyObjects

public class CopyObjects
extends java.lang.Object

A data structure that holds info needed through the copy process

Field Summary
`java.util.Set` `combinedCopyAlwaysSet`
`java.util.Map` `copyAlwaysMap`
`java.util.Map` `copyParent2CopyMap`
`java.util.Map` `copyParent2ObjectsMap`
`java.util.Map` `objectsToCopyParentMap`
`java.util.Collection` `originalObjects`
`java.util.Set` `totalCopyObjects`

Constructor Summary
`CopyObjects(java.util.Collection originalObjects)` Initializes me with my original objects.

Method Summary
`void` `clear()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### originalObjects

    public java.util.Collection originalObjects

### copyParent2CopyMap

    public java.util.Map copyParent2CopyMap

### copyParent2ObjectsMap

    public java.util.Map copyParent2ObjectsMap

### copyAlwaysMap

    public java.util.Map copyAlwaysMap

### combinedCopyAlwaysSet

    public java.util.Set combinedCopyAlwaysSet

### objectsToCopyParentMap

    public java.util.Map objectsToCopyParentMap

### totalCopyObjects

    public java.util.Set totalCopyObjects

Constructor Detail

### CopyObjects

    public CopyObjects(java.util.Collection originalObjects)

  Initializes me with my original objects.

Parameters:
  `originalObjects` - the objects originally selected for copying

Method Detail

### clear

    public void clear()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.